<?php
if (!defined( 'ABSPATH' )) exit;
wp_register_style('select2.min.css', WOO2APP_CSS_URL . 'select2.min.css');
wp_enqueue_style('select2.min.css'.WOO2APP_FILES_VER);
wp_enqueue_script('select2.min.js'.WOO2APP_FILES_VER, WOO2APP_JS_URL . 'select2.min.js');

$current_url = admin_url().'admin.php?page=woo2app/woo2app_design/woo2app_show_design.php&tab=chideman&sub_page=create';
$results = get_option('mr2app_custom_product_list');
?>


<div class="div_mainpage1">
	<div>
		<div class="">
			<h2 class="background-color-e5e5e5 padding-7px">
				<?php _e('New Product List', 'woo2app'); ?>
			</h2>
			<table class="form-table width-600px">
				<tbody>
				<tr>
					<th> <?php _e('Type' , 'woo2app');?> </th>
					<td>
						<select class="regular-text" id="select_item_option">
							<option value="6001"> لیست شماره ۱ </option>
							<option value="6002"> لیست شماره ۲ </option>
						</select>
					</td>
				</tr>
				<tr class="div_mainpage div_list_vertical">
					<th> <?php _e('Title' , 'woo2app');?> </th>
					<td>
						<input placeholder="<?php _e('Title', 'woo2app'); ?>" type="text"
						       class="regular-text" name="txt_title_ver_item" id="txt_title_ver_item">
					</td>
				</tr>
				<tr class="div_mainpage div_list_vertical">
					<th> تعداد  </th>
					<td>
						<input placeholder="تعداد" type="number"
						       value="15" class="regular-text" name="txt_number_load_ver_item"
						       id="txt_number_load_ver_item">
					</td>
				</tr>


				<tr class="div_mainpage div_list_vertical" id="tr_list_image"  >
					<th>
						<label dir="rtl"> <?php _e('Image', 'woo2app'); ?> </label>
					</th>
					<td class="forminp">
						<input type="text" class="regular-text" id="ListImage" value="">
						<button type="button"  class="button"
						        id="Sel_ListImage"> <?php _e('Select Image', 'woo2app'); ?> </button>
						<p>
						<hr>
						<?php _e('Best scale', 'woo2app'); ?> : 1x1
						<hr>
						<?php _e('Recommended Resolution', 'woo2app'); ?> : 500x500
						<hr>
						<?php _e('Max Size', 'woo2app'); ?> : 150KB
						<hr>
						<?php _e('Format', 'woo2app'); ?> : PNG - JPG - JPEG - GIF
						</p>
					</td>
				</tr>
				<tr>
					<th> <img id="img_load1" class="hide width-height-25px"
					          src="<?php echo WP_PLUGIN_URL . "/" . dirname(plugin_basename(__FILE__)) . '/../files/img/load.gif' ?>"> </th>
					<td>
						<button onclick="add_item_mainpage()" type="button"
						        class="button button-primary"> <?php _e('+ Add To Page', 'woo2app'); ?> </button>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<div class="green hide"  id="alert_item">
						</div>
					</td>
				</tr>
				</tbody>

			</table>
		</div>
	</div>
</div>
<?php
wp_enqueue_script( 'sort.js?ver='.time() , WOO2APP_JS_URL.'sort.js?ver=1.2', array('jquery'));
wp_enqueue_media();
wp_enqueue_script( 'upload_item_banner.js'.WOO2APP_FILES_VER , WOO2APP_JS_URL.'upload_item_banner.js', array('jquery'));
?>
<script>
    jQuery('#Sel_ListImage').click(function (e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: '<?php _e('Select Image', 'woo2app'); ?>',
            library: {type: 'image'},
            button: {text: '<?php _e('Select', 'woo2app'); ?>'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#ListImage').val(attachment.url);
            url_image = attachment.url;
        });
        custom_uploader_hami.open();
    })

</script>